Have 'flow-suppress' work on MediaWiki-Vagrant out of the box
Closed, ResolvedPublic

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 6:12 PM

Change 222069 had a related patch set uploaded (by Mattflaschen):
Create 'suppress' group and put Admin in it

https://gerrit.wikimedia.org/r/222069

Change 240785 had a related patch set uploaded (by Mattflaschen):
Grant 'flow-suppress' to the 'suppress' group as well

https://gerrit.wikimedia.org/r/240785

Change 240785 merged by jenkins-bot:
Grant 'flow-suppress' to the 'suppress' group as well

https://gerrit.wikimedia.org/r/240785

Catrope set Security to None.
Mattflaschen-WMF triaged this task as Normal priority.Sep 30 2015, 11:16 PM
Ejs-80 added a subscriber: Ejs-80.Oct 8 2015, 7:10 AM

(Note: I moved this comment from Grant 'flow-suppress' to the 'suppress' group as well to this task. My comment relates to the aforementioned change.)

Do we really need different user groups named 'oversight' and 'suppress'? This creates unnecessary confusion (for example, we had exactly the same name for these two groups on Finnish-language Wikipedia, until one user changed translations via Translatewiki to include specifiers in brackets; first group contains oversighters and the other group is empty). Or am I missing something, and there is a valid reason for having separate user group which has only flow-suppress right?

Pxos added a subscriber: Pxos.Oct 8 2015, 9:59 AM

Do we really need different user groups named 'oversight' and 'suppress'? This creates unnecessary confusion (for example, we had exactly the same name for these two groups on Finnish-language Wikipedia, until one user changed translations via Translatewiki to include specifiers in brackets; first group contains oversighters and the other group is empty). Or am I missing something, and there is a valid reason for having separate user group which has only flow-suppress right?

Originally, I was going to use just 'oversight', but someone pointed out that the recommended term now is 'suppress'. See https://phabricator.wikimedia.org/diffusion/MW/browse/master/includes/DefaultSettings.php;54a50028ec6fc423c4ac1ed894f5b311463d1f15$4849 .

The goal is to replace the 'oversight' group in production with 'suppress', at which point we could drop 'oversight' from Flow too.

Ejs-80 added a comment.Oct 9 2015, 8:09 AM
This comment was removed by Ejs-80.
Ejs-80 added a comment.Oct 9 2015, 8:11 AM

The goal is to replace the 'oversight' group in production with 'suppress', at which point we could drop 'oversight' from Flow too.

Ok, that sounds sensible. Thanks for the information.

So I'm still not sure why we need two groups. Two very obvious options:

  1. Add flow-suppress to the oversight group, which makes the most sense. Changing it over to suppress can be done at any time.
  2. Change the oversight group to suppress right now and add flow-suppress to it.

I can think of a couple possible ways to address the temporary duplicate group issue:

  1. Try to auto-detect (in wgExtensionFunctions?) which group to use.
  2. Just move the group settings out, so they always have to be explicitly set in LocalSettings.php/InitializeSettings.php/etc.

Change 222069 merged by jenkins-bot:
Create 'suppress' group and put Admin in it

https://gerrit.wikimedia.org/r/222069

Catrope closed this task as Resolved.Dec 16 2015, 1:57 AM
Catrope added a subscriber: Catrope.